insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'MDSAllPossible', 1, 'Y', 'All Possible Columns for MDS', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'MPLSAllPossible', 1, 'Y', 'All Possible Columns for MPLS', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'NGVNAllPossible', 1, 'Y', 'All Possible Columns for NGVN', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW ([USER_ID],DSPL_VW_NME,SITE_CNTNT_ID,SITE_CNTNT_COL_VW_CD,DSPL_VW_DES,DSPL_VW_WEB_ADR,DFLT_VW_CD,PBLC_VW_CD,FILTR_COL_1_OPR_ID,FILTR_COL_2_OPR_ID,FILTR_COL_1_ID,FILTR_COL_2_ID,FILTR_COL_1_VALU_TXT,FILTR_COL_2_VALU_TXT,FILTR_ON_CD,SORT_BY_COL_1_ID,SORT_BY_COL_2_ID,GRP_BY_COL_1_ID,GRP_BY_COL_2_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,FILTR_LOGIC_OPR_ID,SORT_BY_COL_1_ASC_ORDR_CD,SORT_BY_COL_2_ASC_ORDR_CD)
values (1,	'SLAllPossible', 1, 'Y', 'All Possible Columns for SprintLink', NULL, 'N', 'N', NULL, NULL, NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 1, 1, GETDATE(), getDate(), NULL, 'Y', 'Y')

insert into DSPL_VW_COL (DSPL_VW_ID, DSPL_COL_ID, DSPL_POS_FROM_LEFT_NBR, CREAT_DT)
select v.DSPL_VW_ID, c.DSPL_COL_ID, c.DSPL_POS_FROM_LEFT_NBR, GETDATE() 
from DSPL_VW_COL c with (nolock), DSPL_VW v with (nolock) 
where c.DSPL_VW_ID = 3 and v.DSPL_VW_NME in ('MDSAllPossible', 'MPLSAllPossible','NGVNAllPossible','SLAllPossible')